# verifychain - Dash

#### Parameters

`Check Level` - number (int)

Optional.

How thoroughly to check each block, from 0 to 4.

Default is the level set with the -checklevel command line argument; if that isn't set, the default is 3.

Levels are:

\- 0. Read from disk to ensure the files are accessible

\- 1. Ensure each block is valid

\- 2. Make sure undo files can be read from disk and are in a valid format

\- 3. Test each block undo to ensure it results in correct state

\- 4. After undoing blocks, reconnect them to ensure they reconnect correctly

`Number Of Blocks` - number (int)

Optional.

The number of blocks to verify. Set to 0 to check all blocks.

Defaults to the value of the -checkblocks command-line argument; if that isn't set, the default is 288.

#### Request

```java
curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{"jsonrpc": "2.0",
"method": "verifychain",
"params": [null, null],
"id": "getblock.io"}'
```

#### Response

```java
{
    "error": null,
    "id": "getblock.io",
    "result": true
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.getblock.io/api-reference/dash-dash/dash_verifychain.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
